using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;

namespace tenpay
{
	/// <summary>
	/// show_url 的摘要说明。
	/// </summary>
	public class show_url : System.Web.UI.Page
	{
		private void Page_Load(object sender, System.EventArgs e)
		{
			//密钥
			string key = "88881491";

			//创建PayResponseHandler实例
			MediPayResponse resHandler = new MediPayResponse(Context);

			resHandler.setKey(key);

			//判断签名
			if(resHandler.isTenpaySign()) 
			{
				//支付结果
				string retcode = resHandler.getParameter("retcode");

				//支付状态
				string status = resHandler.getParameter("status");

				//商户订单号
				string mch_vno = resHandler.getParameter("mch_vno");

			
	
				if("0".Equals(retcode)) 
				{
					//------------------------------
					//处理业务开始
					//------------------------------ 
					if(Int32.Parse(status)== 3 ) 
					{
						//支付成功，注意判断订单是否重复的逻辑
						string errmsg = "支付成功";
						Response.Write(errmsg + "<br/>");
						Response.Write("商家定单号:" + mch_vno + "(根据此定单号进行查询)" + "<br/>");

					} 
					else 
					{
						string errmsg = "异常错误";
						Response.Write(errmsg + "<br/>");
					}
		
					//------------------------------
					//处理业务完毕
					//------------------------------
				} 
				else 
				{
					//当做不成功处理
					Response.Write("支付失败");
				}
	
			} 
			else 
			{
				Response.Write("认证签名失败");
				
			}

			//string debugInfo = resHandler.getDebugInfo();
			//Response.Write("<br/>debugInfo:" + debugInfo);

		}

		#region Web 窗体设计器生成的代码
		override protected void OnInit(EventArgs e)
		{
			//
			// CODEGEN: 该调用是 ASP.NET Web 窗体设计器所必需的。
			//
			InitializeComponent();
			base.OnInit(e);
		}
		
		/// <summary>
		/// 设计器支持所需的方法 - 不要使用代码编辑器修改
		/// 此方法的内容。
		/// </summary>
		private void InitializeComponent()
		{    
			this.Load += new System.EventHandler(this.Page_Load);
		}
		#endregion
	}
}
